package speiger.src.coreengine.utils.eventbus;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

@Retention(RUNTIME)
@Target({TYPE, FIELD, METHOD})
public @interface SubscribeEvent
{
	public EventPriority priority() default EventPriority.MEDIUM;
	
	public Class<? extends Event> event();
}
